Transformations

Queue Evaluation for Multiple Transformations

Queues evaluation jobs for multiple transformations. The evaluations are processed asynchronously by worker jobs. This endpoint returns immediately with a 202 status to indicate the evaluations have been queued. The actual evaluation results are stored in the database and can be retrieved via the transformations list endpoint. Invalid transformation IDs will be included in the errors map in the response.

POST
/v1-beta/transformations/eval
x-api-key<token>

Authenticate using API Key in request header

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.bem.ai/v1-beta/transformations/eval" \  -H "Content-Type: application/json" \  -d '{    "transformationIDs": [      "tr_2bxoJPNdSD4LgRT4YVC4gt72hlI",      "tr_3cxpKQOeTE5MhSU5ZWD5hu83imJ",      "tr_invalid"    ],    "evaluationVersion": "0.1.0-gemini"  }'

{
  "queued": 1,
  "skipped": 0,
  "errors": {
    "tr_invalid": "transformation ID not found: tr_invalid"
  }
}

{
  "message": "string",
  "code": 0,
  "details": {}
}